Upstream information

CVE-2020-27618 at MITRE

Description

The iconv function in the GNU C Library (aka glibc or libc6) 2.32 and earlier, when processing invalid multi-byte input sequences in IBM1364, IBM1371, IBM1388, IBM1390, and IBM1399 encodings, fails to advance the input state, which could lead to an infinite loop in applications, resulting in a denial of service, a different vulnerability from CVE-2016-10228.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:L/AC:L/Au:N/C:N/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.3
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1178386 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container caasp/v4.5/389-ds:1.4.3
Container caasp/v4.5/busybox:1.26.2
Container caasp/v4.5/caasp-dex:2.23.0
Container caasp/v4.5/cert-exporter:2.3.0
Container caasp/v4.5/cert-manager-cainjector:0.15.1
Container caasp/v4.5/cert-manager-controller:0.15.1
Container caasp/v4.5/cert-manager-webhook:0.15.1
Container caasp/v4.5/cilium-etcd-operator:2.0.5
Container caasp/v4.5/cilium-operator:1.7.6
Container caasp/v4.5/configmap-reload:0.3.0
Container caasp/v4.5/coredns:1.6.7
Container caasp/v4.5/curl:7.66.0
Container caasp/v4.5/default-http-backend:0.15.0
Container caasp/v4.5/etcd:3.4.13
Container caasp/v4.5/gangway:3.1.0
Container caasp/v4.5/grafana:7.3.1
Container caasp/v4.5/helm-tiller:2.16.12
Container caasp/v4.5/k8s-sidecar:0.1.75
Container caasp/v4.5/kube-apiserver:v1.18.20
Container caasp/v4.5/kube-controller-manager:v1.18.20
Container caasp/v4.5/kube-proxy:v1.18.20
Container caasp/v4.5/kube-scheduler:v1.18.20
Container caasp/v4.5/kube-state-metrics:1.9.5
Container caasp/v4.5/kubernetes-client:1.18.10
Container caasp/v4.5/kucero:1.3.0
Container caasp/v4.5/kured:1.4.3
Container caasp/v4.5/metrics-server:0.3.6
Container caasp/v4.5/prometheus-alertmanager:0.16.2
Container caasp/v4.5/prometheus-node-exporter:1.0.1
Container caasp/v4.5/prometheus-pushgateway:0.6.0
Container caasp/v4.5/prometheus-server:2.18.0
Container caasp/v4.5/reloader:0.0.58
Container caasp/v4.5/rsyslog:8.39.0
Container caasp/v4.5/skuba-tooling:0.1.0
Container caasp/v4.5/velero-plugin-for-aws:1.1.0
Container caasp/v4.5/velero-plugin-for-gcp:1.1.0
Container caasp/v4.5/velero-plugin-for-microsoft-azure:1.1.0
Container caasp/v4.5/velero-restic-restore-helper:1.4.2
Container caasp/v4.5/velero:1.4.2
Container caasp/v4/hyperkube:v1.17.17
Container caasp/v4/kubernetes-client:1.17.17
Container caasp/v4/kucero:1.3.0
Container caasp/v4/kured:1.3.0
Container ingress-nginx-controller:0.15.0
Container ses/7/ceph/grafana:7.3.1.3.428
Container ses/7/cephcsi/csi-attacher:v3.0.0
Container ses/7/cephcsi/csi-livenessprobe:v1.1.0-rev1-build3.318
Container ses/7/cephcsi/csi-node-driver-registrar:v2.0.1-rev1-build3.204
Container ses/7/cephcsi/csi-provisioner:v2.0.0
Container ses/7/cephcsi/csi-resizer:v1.0.0
Container ses/7/cephcsi/csi-snapshotter:v2.1.0-rev1-build1.198
Container ses/7/cephcsi/csi-snapshotter:v3.0.0
Container ses/7/prometheus-webhook-snmp:1.4.1.282
Container ses/7/prometheus/prometheus-alertmanager:sle15.2.octopus
Container ses/7/prometheus/prometheus-node-exporter:sle15.2.octopus
Container ses/7/prometheus/prometheus-server:sle15.2.octopus
Container suse/sle15:15.0.4.22.347
Container suse/sle15:15.1.6.2.425
Container suse/sle15:15.2.8.2.853
Container suse/sles/15.2/virt-api:0.38.1.5.8.43
Container suse/sles/15.2/virt-controller:0.38.1.5.8.43
Container suse/sles/15.2/virt-handler:0.38.1.5.8.45
Container suse/sles/15.2/virt-launcher:0.38.1.5.8.40
Container suse/sles/15.2/virt-operator:0.38.1.5.8.43
  • glibc >= 2.26-13.56.1
Container caasp/v4.5/cilium:1.7.6
  • glibc >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
Container ses/6/cephcsi/cephcsi:1.2.0.0.1.5.430
Container ses/6/rook/ceph:1.1.1.0.1.5.424
Container ses/7/cephcsi/cephcsi:3.2.0.0.3.248
Container ses/7/rook/ceph:1.5.7.4.1.1512
  • glibc >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
Container suse/sles12sp4:26.273
Container suse/sles12sp5:6.5.159
  • glibc >= 2.22-114.8.3
Image SLES15-EC2-CHOST-HVM-BYOS
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-Aliyun
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
  • glibc >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
SUSE CaaS Platform 4.0
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-653
SUSE Enterprise Storage 6
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-Storage-6-2021-653
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-653
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-653
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-653
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-653
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • glibc >= 2.31-7.30
  • glibc-32bit >= 2.31-7.20
  • glibc-devel >= 2.31-7.30
  • glibc-extra >= 2.31-7.30
  • glibc-i18ndata >= 2.31-7.30
  • glibc-info >= 2.31-7.30
  • glibc-lang >= 2.31-7.30
  • glibc-locale >= 2.31-7.30
  • glibc-locale-base >= 2.31-7.30
  • glibc-locale-base-32bit >= 2.31-7.20
  • glibc-profile >= 2.31-7.30
  • nscd >= 2.31-7.30
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-653
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • glibc-devel-32bit >= 2.31-7.20
  • glibc-devel-static >= 2.31-7.30
  • glibc-utils >= 2.31-7.1
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • glibc >= 2.22-114.8.3
  • glibc-32bit >= 2.22-114.8.3
  • glibc-devel >= 2.22-114.8.3
  • glibc-devel-32bit >= 2.22-114.8.3
  • glibc-html >= 2.22-114.8.3
  • glibc-i18ndata >= 2.22-114.8.3
  • glibc-info >= 2.22-114.8.3
  • glibc-locale >= 2.22-114.8.3
  • glibc-locale-32bit >= 2.22-114.8.3
  • glibc-profile >= 2.22-114.8.3
  • glibc-profile-32bit >= 2.22-114.8.3
  • nscd >= 2.22-114.8.3
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2021-1165
SUSE Linux Enterprise Server 12 SP4-LTSS
  • glibc >= 2.22-114.8.3
  • glibc-32bit >= 2.22-114.8.3
  • glibc-devel >= 2.22-114.8.3
  • glibc-devel-32bit >= 2.22-114.8.3
  • glibc-html >= 2.22-114.8.3
  • glibc-i18ndata >= 2.22-114.8.3
  • glibc-info >= 2.22-114.8.3
  • glibc-locale >= 2.22-114.8.3
  • glibc-locale-32bit >= 2.22-114.8.3
  • glibc-profile >= 2.22-114.8.3
  • glibc-profile-32bit >= 2.22-114.8.3
  • nscd >= 2.22-114.8.3
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2021-1165
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • glibc >= 2.22-114.8.3
  • glibc-32bit >= 2.22-114.8.3
  • glibc-devel >= 2.22-114.8.3
  • glibc-devel-32bit >= 2.22-114.8.3
  • glibc-html >= 2.22-114.8.3
  • glibc-i18ndata >= 2.22-114.8.3
  • glibc-info >= 2.22-114.8.3
  • glibc-locale >= 2.22-114.8.3
  • glibc-locale-32bit >= 2.22-114.8.3
  • glibc-profile >= 2.22-114.8.3
  • glibc-profile-32bit >= 2.22-114.8.3
  • nscd >= 2.22-114.8.3
Patchnames:
SUSE-SLE-SERVER-12-SP5-2021-1165
SUSE Linux Enterprise Server 15 SP1-BCL
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-653
SUSE Linux Enterprise Server 15 SP1-LTSS
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-653
SUSE Linux Enterprise Server 15-LTSS
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-653
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • glibc >= 2.22-114.8.3
  • glibc-32bit >= 2.22-114.8.3
  • glibc-devel >= 2.22-114.8.3
  • glibc-devel-32bit >= 2.22-114.8.3
  • glibc-html >= 2.22-114.8.3
  • glibc-i18ndata >= 2.22-114.8.3
  • glibc-info >= 2.22-114.8.3
  • glibc-locale >= 2.22-114.8.3
  • glibc-locale-32bit >= 2.22-114.8.3
  • glibc-profile >= 2.22-114.8.3
  • glibc-profile-32bit >= 2.22-114.8.3
  • nscd >= 2.22-114.8.3
Patchnames:
SUSE-SLE-SAP-12-SP4-2021-1165
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-653
SUSE Linux Enterprise Server for SAP Applications 15
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-653
SUSE Linux Enterprise Software Development Kit 12 SP5
  • glibc-devel-static >= 2.22-114.8.3
  • glibc-info >= 2.22-114.8.3
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-1165
SUSE Manager Proxy 4.0
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-653
SUSE Manager Retail Branch Server 4.0
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-653
SUSE Manager Server 4.0
  • glibc >= 2.26-13.56.1
  • glibc-32bit >= 2.26-13.56.1
  • glibc-devel >= 2.26-13.56.1
  • glibc-devel-32bit >= 2.26-13.56.1
  • glibc-devel-static >= 2.26-13.56.1
  • glibc-extra >= 2.26-13.56.1
  • glibc-i18ndata >= 2.26-13.56.1
  • glibc-info >= 2.26-13.56.1
  • glibc-locale >= 2.26-13.56.1
  • glibc-locale-base >= 2.26-13.56.1
  • glibc-locale-base-32bit >= 2.26-13.56.1
  • glibc-profile >= 2.26-13.56.1
  • glibc-utils >= 2.26-13.56.1
  • nscd >= 2.26-13.56.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-653
SUSE OpenStack Cloud 9
  • glibc >= 2.22-114.8.3
  • glibc-32bit >= 2.22-114.8.3
  • glibc-devel >= 2.22-114.8.3
  • glibc-devel-32bit >= 2.22-114.8.3
  • glibc-html >= 2.22-114.8.3
  • glibc-i18ndata >= 2.22-114.8.3
  • glibc-info >= 2.22-114.8.3
  • glibc-locale >= 2.22-114.8.3
  • glibc-locale-32bit >= 2.22-114.8.3
  • glibc-profile >= 2.22-114.8.3
  • glibc-profile-32bit >= 2.22-114.8.3
  • nscd >= 2.22-114.8.3
Patchnames:
SUSE-OpenStack-Cloud-9-2021-1165
SUSE OpenStack Cloud Crowbar 9
  • glibc >= 2.22-114.8.3
  • glibc-32bit >= 2.22-114.8.3
  • glibc-devel >= 2.22-114.8.3
  • glibc-devel-32bit >= 2.22-114.8.3
  • glibc-html >= 2.22-114.8.3
  • glibc-i18ndata >= 2.22-114.8.3
  • glibc-info >= 2.22-114.8.3
  • glibc-locale >= 2.22-114.8.3
  • glibc-locale-32bit >= 2.22-114.8.3
  • glibc-profile >= 2.22-114.8.3
  • glibc-profile-32bit >= 2.22-114.8.3
  • nscd >= 2.22-114.8.3
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2021-1165
openSUSE Leap 15.2
  • glibc >= 2.26-lp152.26.6.1
  • glibc-32bit >= 2.26-lp152.26.6.1
  • glibc-devel >= 2.26-lp152.26.6.1
  • glibc-devel-32bit >= 2.26-lp152.26.6.1
  • glibc-devel-static >= 2.26-lp152.26.6.1
  • glibc-devel-static-32bit >= 2.26-lp152.26.6.1
  • glibc-extra >= 2.26-lp152.26.6.1
  • glibc-html >= 2.26-lp152.26.6.1
  • glibc-i18ndata >= 2.26-lp152.26.6.1
  • glibc-info >= 2.26-lp152.26.6.1
  • glibc-locale >= 2.26-lp152.26.6.1
  • glibc-locale-base >= 2.26-lp152.26.6.1
  • glibc-locale-base-32bit >= 2.26-lp152.26.6.1
  • glibc-profile >= 2.26-lp152.26.6.1
  • glibc-profile-32bit >= 2.26-lp152.26.6.1
  • glibc-utils >= 2.26-lp152.26.6.1
  • glibc-utils-32bit >= 2.26-lp152.26.6.1
  • nscd >= 2.26-lp152.26.6.1
Patchnames:
openSUSE-2021-358
openSUSE Tumbleweed
  • glibc >= 2.34-1.2
  • glibc-devel >= 2.34-1.2
  • glibc-devel-static >= 2.34-1.2
  • glibc-extra >= 2.34-1.2
  • glibc-html >= 2.34-1.2
  • glibc-i18ndata >= 2.34-1.2
  • glibc-info >= 2.34-1.2
  • glibc-lang >= 2.34-1.2
  • glibc-locale >= 2.34-1.2
  • glibc-locale-base >= 2.34-1.2
  • glibc-profile >= 2.34-1.2
  • nscd >= 2.34-1.2
Patchnames:
openSUSE Tumbleweed GA glibc-2.34-1.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 glibc Affected
SLES15-EC2-CHOST-HVM-BYOS glibc Released
SLES15-SP1-CHOST-BYOS-Azure glibc Released
SLES15-SP1-CHOST-BYOS-EC2 glibc Released
SLES15-SP1-CHOST-BYOS-GCE glibc Released
SLES15-SP2-CHOST-BYOS-Aliyun glibc Released
SLES15-SP2-CHOST-BYOS-Azure glibc Released
SLES15-SP2-CHOST-BYOS-EC2 glibc Released
SLES15-SP2-CHOST-BYOS-GCE glibc Released
SLES15-SP2-CHOST-BYOS-OpenStack glibc In progress
SLES15-SP3-CHOST-BYOS-Aliyun glibc Already fixed
SLES15-SP3-CHOST-BYOS-Azure glibc Already fixed
SLES15-SP3-CHOST-BYOS-EC2 glibc Already fixed
SLES15-SP3-CHOST-BYOS-GCE glibc Already fixed
SUSE CaaS Platform 4.0 glibc Released
SUSE CaaS Platform 4.5 glibc Released
SUSE Enterprise Storage 5 glibc Unsupported
SUSE Enterprise Storage 6 glibc Released
SUSE Enterprise Storage 7 glibc Released
SUSE Linux Enterprise High Performance Computing 12 SP5 glibc Released
SUSE Linux Enterprise High Performance Computing 15 LTSS glibc Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS glibc Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS glibc Released
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS glibc Released
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS glibc Released
SUSE Linux Enterprise Micro 5.0 glibc Released
SUSE Linux Enterprise Micro 5.1 glibc Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP1 glibc Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 glibc Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 glibc Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 glibc Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 glibc Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 glibc Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 glibc Already fixed
SUSE Linux Enterprise Module for Development Tools 15 SP4 glibc Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 glibc Affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 glibc Unsupported
SUSE Linux Enterprise Server 11 SP1 glibc Affected
SUSE Linux Enterprise Server 11 SP3 glibc Affected
SUSE Linux Enterprise Server 11 SP4 glibc Affected
SUSE Linux Enterprise Server 11 SP4 LTSS glibc Affected
SUSE Linux Enterprise Server 12 SP2 BCL glibc Affected
SUSE Linux Enterprise Server 12 SP2 ESPOS glibc Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS glibc Unsupported
SUSE Linux Enterprise Server 12 SP3 BCL glibc Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS glibc Affected
SUSE Linux Enterprise Server 12 SP3 LTSS glibc Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS glibc Released
SUSE Linux Enterprise Server 12 SP4 LTSS glibc Released
SUSE Linux Enterprise Server 12 SP5 glibc Released
SUSE Linux Enterprise Server 15 ESPOS glibc Released
SUSE Linux Enterprise Server 15 LTSS glibc Released
SUSE Linux Enterprise Server 15 SP1 LTSS glibc Released
SUSE Linux Enterprise Server 15 SP2 LTSS glibc Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 glibc Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 glibc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 glibc Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 glibc Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 glibc Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 glibc Released
SUSE Linux Enterprise Server for SAP Applications 15 glibc Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 glibc Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 glibc Released
SUSE Linux Enterprise Software Development Kit 12 SP5 glibc Released
SUSE Manager Proxy 4.0 glibc Released
SUSE Manager Proxy 4.1 glibc Released
SUSE Manager Retail Branch Server 4.0 glibc Released
SUSE Manager Retail Branch Server 4.1 glibc Released
SUSE Manager Server 4.0 glibc Released
SUSE Manager Server 4.1 glibc Released
SUSE OpenStack Cloud 7 glibc Unsupported
SUSE OpenStack Cloud 8 glibc Affected
SUSE OpenStack Cloud 9 glibc Released
SUSE OpenStack Cloud Crowbar 8 glibc Affected
SUSE OpenStack Cloud Crowbar 9 glibc Released
suse/sles12sp3 glibcAffected
bci/dotnet-aspnet:3.1
bci/dotnet-aspnet:5.0
bci/dotnet-aspnet:6.0
bci/dotnet-runtime:3.1
bci/dotnet-runtime:5.0
bci/dotnet-runtime:6.0
bci/dotnet-sdk:3.1
bci/dotnet-sdk:5.0
bci/dotnet-sdk:6.0
bci/golang:1.16
bci/golang:1.17
bci/init
bci/micro
bci/minimal
bci/nodejs:12
bci/nodejs:14
bci/openjdk-devel:11
bci/openjdk:11
bci/ruby:2.5
suse/sle15:15.3
suse/sle15:15.4
suse/sles/15.3/cdi-apiserver:1.37.1
suse/sles/15.3/cdi-cloner:1.37.1
suse/sles/15.3/cdi-controller:1.37.1
suse/sles/15.3/cdi-importer:1.37.1
suse/sles/15.3/cdi-operator:1.37.1
suse/sles/15.3/cdi-uploadproxy:1.37.1
suse/sles/15.3/cdi-uploadserver:1.37.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-api:0.45.0
suse/sles/15.3/virt-controller:0.45.0
suse/sles/15.3/virt-handler:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
suse/sles/15.3/virt-operator:0.45.0
trento/trento-db
trento/trento-runner
trento/trento-web
glibcAlready fixed
ingress-nginx-controller:0.15.0
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/grafana
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v3.0.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v2.0.1
ses/7/cephcsi/csi-provisioner:v2.0.0
ses/7/cephcsi/csi-resizer:v1.0.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v3.0.0
ses/7/prometheus-webhook-snmp
ses/7/prometheus/prometheus-alertmanager
ses/7/prometheus/prometheus-node-exporter
ses/7/prometheus/prometheus-server
ses/7/rook/ceph
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sles/15.2/virt-api:0.38.1
suse/sles/15.2/virt-controller:0.38.1
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.2/virt-operator:0.38.1
suse/sles12sp4
suse/sles12sp5
glibcReleased
ses/7/ceph/ceph
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
glibcIn progress